com.smartgwt.client.types

## Enum TopOperatorAppearance

- java.lang.Object
- - java.lang.Enum<TopOperatorAppearance>
  - - com.smartgwt.client.types.TopOperatorAppearance

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<TopOperatorAppearance>

      public enum TopOperatorAppearance
      extends java.lang.Enum<TopOperatorAppearance>
      implements ValueEnum

  Interface to use for showing and editing the `top-level operator` of a FilterBuilder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BRACKET` a SelectItem appears with a "bracket" spanning all top-level clauses, exactly the same appearance used for showing `subClauses`, if enabled.
    `INLINE` each line in the FilterBuilder is a top-level item, with a SelectItem shown on the left that allows the user to choose between the main operator in force (either "and" or "or", depending on the setting of topOperator) and "and not".
    `NONE` no interface is shown.
    `RADIO` radio buttons appear at the top of the form

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TopOperatorAppearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TopOperatorAppearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RADIO

          public static final TopOperatorAppearance RADIO

      radio buttons appear at the top of the form

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "radio".

    - #### BRACKET

          public static final TopOperatorAppearance BRACKET

      a SelectItem appears with a "bracket" spanning all top-level clauses, exactly the same appearance used for showing `subClauses`, if enabled.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "bracket".

    - #### INLINE

          public static final TopOperatorAppearance INLINE

      each line in the FilterBuilder is a top-level item, with a SelectItem shown on the left that allows the user to choose between the main operator in force (either "and" or "or", depending on the setting of topOperator) and "and not".

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inline".

    - #### NONE

          public static final TopOperatorAppearance NONE

      no interface is shown. The top-level operator is expected to be shown to the user outside the FilterBuilder, and, if editable, `FilterBuilder.setTopOperator()` should be called to update it

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static TopOperatorAppearance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TopOperatorAppearance c : TopOperatorAppearance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TopOperatorAppearance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`